%define oname   net-http-digest_auth

Name:       ruby-%{oname}
Version:    1.4.1
Release:    %mkrel 5
Summary:    An implementation of RFC 2617 - Digest Access Authentication
License:    MIT
Group:      Development/Ruby
URL:        https://docs.seattlerb.org/net-http-digest_auth
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Buildarch: noarch

%description
An implementation of RFC 2617 - Digest Access Authentication.  At this time
the gem does not drop in to Net::HTTP and can be used for with other HTTP
clients.

In order to use net-http-digest_auth you'll need to perform some request
wrangling on your own.  See the class documentation at Net::HTTP::DigestAuth
for an example.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/sample
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.4.1-5.mga10
+ Revision: 2211118
- Mageia 10 Mass Rebuild

* Fri Mar 25 2022 umeabot <umeabot> 1.4.1-4.mga9
+ Revision: 1826212
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.4.1-3.mga8
+ Revision: 1507841
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.4.1-2.mga7
+ Revision: 1291066
- Mageia 7 Mass Rebuild

* Sun Aug 20 2017 pterjan <pterjan> 1.4.1-1.mga7
+ Revision: 1142137
- Update to 1.4.1

* Tue Jan 05 2016 pterjan <pterjan> 1.4-4.mga6
+ Revision: 919762
- Update file list

* Wed Oct 15 2014 umeabot <umeabot> 1.4-3.mga5
+ Revision: 748685
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-2.mga5
+ Revision: 688881
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 pterjan <pterjan> 1.4-1.mga5
+ Revision: 640696
- 1.4

* Sat Dec 28 2013 pterjan <pterjan> 1.3-5.mga4
+ Revision: 562031
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.3-4.mga4
+ Revision: 561456
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.3-3.mga4
+ Revision: 535944
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 1.3-2.mga4
+ Revision: 482840
- update file list
- use gem_setup

* Tue May 28 2013 fwang <fwang> 1.3-1.mga4
+ Revision: 429384
- new version 1.3

* Fri Feb 08 2013 umeabot <umeabot> 1.2.1-3.mga3
+ Revision: 396204
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 381130
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.2.1-1.mga3
+ Revision: 313304
- imported package ruby-net-http-digest_auth

